#include <X11/Xlib.h>

char panic_data[] =
"##########################################################################################################################################################"\
"##########################################################################################################################################################"\
"##########################################################################################################################################################"\
"################################################################.....#######################################################################....##########"\
"################################################################......#####################################################################......#########"\
"########............############################################.....#####################.....############################################.....##########"\
"########.............###########################################.....#####################.....############################################.....##########"\
"#######...............####################################################################.....############################################.....##########"\
"#######...............##########################################....######################.....############################################.....##########"\
"#######......###......########.........######....######..######.....##########......######.....##############.....########################......###....###"\
"#######.....####.....#######............####......###.....#####.....########.........#####....###############......#######################......##......##"\
"#######......##......######............#####..............#####.....######..........#####.....###############.....########################..............##"\
"#######..............#####.............#####...............####.....#####..........######.....###############.....########################..............##"\
"######..............#####......#.......#####..............####......####.......##########....#################...#########################..............##"\
"######.............#####......###......#####..............####......####......###########....#########################...............#####......##......##"\
"######............######.....####......####...............####......###......############...##########################...............####......####.....##"\
"######...........######......####......####.......##......####.....####......############...###########################..............####......###......##"\
"######......###########.....####......#####......###......####.....###......#############################################..........######.....####.....###"\
"######....############......###.......#####.....####......####....####......#############################################################.....###......###"\
"#####.....############.......##.......#####.....####......###.....####.......###############################...##########################......#.......###"\
"#####.....############................#####....#####.....####.....####............#########################.....#########################.............####"\
"####......############................####.....#####.....###......####..............####...###############......########################.............#####"\
"####.....##############.......##......####.....#####.....###.....######............####....###############.....#########################............######"\
"#####...###############......####....#####....#######...#####....#######..........#####....################....#########################..........########"\
"########################################################################################.################################################...##############"\
"##########################################################################################################################################################";

#define PANIC_WIDTH	154
#define	PANIC_HEIGHT	26
#define TOTAL_COLORS	10
#define PANIC_LIMIT	200

extern int WIDTH,HEIGHT,PANIC;
extern int color[TOTAL_COLORS];

int PCOUNTER=0;

void draw_panic(Display *disp,Window win,GC gc,int method)
{
	int i,j,orgx;

	if (method)
		XSetForeground(disp,gc,color[6]); else
		XSetForeground(disp,gc,color[0]);

	orgx=WIDTH-PANIC_WIDTH-10;

	for (i=0; i<PANIC_HEIGHT; i++)
	for (j=0; j<PANIC_WIDTH; j++)
	{
		if (panic_data[j+i*PANIC_WIDTH] == '.')
			XDrawPoint(disp,win,gc,orgx+j,120+i);
	}
	XSync(disp,False);
}

void panic_stuff(Display *disp,Window win,GC gc)
{
	if (PCOUNTER++ == PANIC_LIMIT)
	{
		PANIC=0;
		PCOUNTER=0;
		draw_panic(disp,win,gc,0);
	}
}
